%define api		1
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configuration backend for Glib
Name:		dconf
Version:        0.38.0
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		System/Libraries
URL:		https://wiki.gnome.org/dconf
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# do not use XDG_RUNTIME_DIR when root - workaround for mga#11643 bug
Patch0:		dconf-0.14.1-mga-dconfsu.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(vapigen) >= 0.17.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.17.0
BuildRequires:	intltool
BuildRequires:	meson
Requires:	dbus
Requires(post):	%{giolibname} >= 2.23.4-2mdv
Requires(postun):	%{giolibname} >= 2.23.4-2mdv
Conflicts:      %{mklibname %name 0} < 0.13.4-5
Conflicts:      %{mklibname %name 1} < 0.13.4-5

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/C
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install
#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

%post
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%check
#meson_test

%files
%doc NEWS
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%{_bindir}/dconf
%{_mandir}/man?/dconf.*
%{_mandir}/man1/dconf-service.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_libdir}/gio/modules/libdconfsettings.*

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%{_includedir}/dconf
%{_datadir}/vala/vapi/dconf*


%changelog
* Sun Sep 13 2020 daviddavid <daviddavid> 0.38.0-1.mga8
+ Revision: 1625639
- new version 0.38.0

* Tue Mar 10 2020 ovitters <ovitters> 0.36.0-1.mga8
+ Revision: 1555319
- new version 0.36.0

* Wed Feb 19 2020 umeabot <umeabot> 0.35.1-2.mga8
+ Revision: 1543144
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 shlomif <shlomif> 0.35.1-1.mga8
+ Revision: 1477933
- New version 0.35.1

* Tue Sep 10 2019 ovitters <ovitters> 0.34.0-1.mga8
+ Revision: 1439168
- new version 0.34.0

* Tue Aug 20 2019 ovitters <ovitters> 0.33.2-1.mga8
+ Revision: 1430376
- new version 0.33.2

* Fri Aug 09 2019 tv <tv> 0.33.1-1.mga8
+ Revision: 1428297
- new release

* Wed Apr 17 2019 umeabot <umeabot> 0.32.0-2.mga7
+ Revision: 1392142
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 0.32.0-1.mga7
+ Revision: 1374237
- new version 0.32.0

* Thu Mar 07 2019 ovitters <ovitters> 0.31.92-1.mga7
+ Revision: 1372535
- new version 0.31.92

* Tue Oct 23 2018 ovitters <ovitters> 0.30.1-1.mga7
+ Revision: 1324001
- new version 0.30.1

* Mon Sep 03 2018 ovitters <ovitters> 0.30.0-1.mga7
+ Revision: 1256335
- new version 0.30.0

* Mon Aug 27 2018 ovitters <ovitters> 0.29.2-1.mga7
+ Revision: 1255003
- new version 0.29.2
- new version 0.29.1

* Tue Mar 13 2018 ovitters <ovitters> 0.28.0-1.mga7
+ Revision: 1209104
- new version 0.28.0

* Wed Feb 14 2018 ovitters <ovitters> 0.27.1-1.mga7
+ Revision: 1201287
- FIX meson check
- switch to meson
- new version 0.27.1

* Tue Oct 03 2017 ovitters <ovitters> 0.26.1-1.mga7
+ Revision: 1167916
- new version 0.26.1

* Wed Mar 23 2016 ovitters <ovitters> 0.26.0-1.mga6
+ Revision: 994370
- new version 0.26.0

* Thu Feb 11 2016 umeabot <umeabot> 0.25.1-2.mga6
+ Revision: 953690
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 ovitters <ovitters> 0.25.1-1.mga6
+ Revision: 911087
- new version 0.25.1

* Fri Oct 16 2015 wally <wally> 0.24.0-2.mga6
+ Revision: 892068
- drop unneeded find_lang macro

* Sun Jun 21 2015 ovitters <ovitters> 0.24.0-1.mga6
+ Revision: 838119
- editor subpackage was split into its own tarball
- new version 0.24.0

* Thu Apr 09 2015 colin <colin> 0.22.0-3.mga5
+ Revision: 819981
- Ship additional dirs in /etc for systemd db as noted on Cauldron list

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-2.mga5
+ Revision: 748263
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 ovitters <ovitters> 0.22.0-1.mga5
+ Revision: 731388
- new version 0.22.0

* Thu Sep 18 2014 umeabot <umeabot> 0.21.0-4.mga5
+ Revision: 693735
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.21.0-3.mga5
+ Revision: 678694
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 ovitters <ovitters> 0.21.0-2.mga5
+ Revision: 656058
- fix filelist

* Wed Jul 23 2014 ovitters <ovitters> 0.21.0-1.mga5
+ Revision: 656057
- new version 0.21.0

* Mon Mar 24 2014 ovitters <ovitters> 0.20.0-1.mga5
+ Revision: 608033
- new version 0.20.0

* Mon Mar 17 2014 ovitters <ovitters> 0.19.92-1.mga5
+ Revision: 604550
- new version 0.19.92

* Mon Mar 03 2014 ovitters <ovitters> 0.19.91-1.mga5
+ Revision: 598997
- new version 0.19.91

* Tue Feb 18 2014 ovitters <ovitters> 0.19.90-1.mga5
+ Revision: 594239
- new version 0.19.90
- dropped merged patch 2

* Wed Feb 05 2014 dams <dams> 0.19.3-1.mga5
+ Revision: 582949
- fix .desktop (zh_CN)
+ ovitters <ovitters>
- new version 0.19.3

* Mon Nov 18 2013 tarakbumba <tarakbumba> 0.18.0-4.mga4
+ Revision: 551771
- do not use XDG_RUNTIME_DIR when root - mga#11643

* Sat Nov 09 2013 ovitters <ovitters> 0.18.0-3.mga4
+ Revision: 550145
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.18.0-2.mga4
+ Revision: 536506
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 0.18.0-1.mga4
+ Revision: 484555
- new version 0.18.0

* Mon Sep 16 2013 ovitters <ovitters> 0.17.1-1.mga4
+ Revision: 480365
- new version 0.17.1

* Tue Jul 30 2013 dams <dams> 0.17.0-1.mga4
+ Revision: 461141
- new version 0.17.0
- update %%file

* Tue Jul 16 2013 ovitters <ovitters> 0.16.1-1.mga4
+ Revision: 455089
- new version 0.16.1

* Fri May 24 2013 dams <dams> 0.16.0-1.mga4
+ Revision: 425937
- new version 0.16.0

* Fri Jan 11 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 348690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 ovitters <ovitters> 0.14.1-1.mga3
+ Revision: 312125
- new version 0.14.1

* Sat Sep 29 2012 fwang <fwang> 0.14.0-1.mga3
+ Revision: 299972
- new version 0.14.0

* Mon Aug 20 2012 ovitters <ovitters> 0.13.90-1.mga3
+ Revision: 282733
- new version 0.13.90

* Tue Aug 07 2012 ovitters <ovitters> 0.13.5-1.mga3
+ Revision: 279742
- new version 0.13.5

* Fri Jul 20 2012 fwang <fwang> 0.13.4-6.mga3
+ Revision: 272929
- move scriptlet into main package

* Fri Jul 20 2012 neoclust <neoclust> 0.13.4-5.mga3
+ Revision: 272924
- Fix conflict

* Thu Jul 19 2012 fwang <fwang> 0.13.4-4.mga3
+ Revision: 272487
- fix giolibname

* Thu Jul 19 2012 fwang <fwang> 0.13.4-3.mga3
+ Revision: 272483
- more conflicts should be added

* Thu Jul 19 2012 fwang <fwang> 0.13.4-2.mga3
+ Revision: 272482
- add conflicts to ease upgrading

* Thu Jul 19 2012 fwang <fwang> 0.13.4-1.mga3
+ Revision: 272477
- update file list
+ ovitters <ovitters>
- update lib major
- update file list
- new version 0.13.4

* Wed Jun 27 2012 ovitters <ovitters> 0.13.0-1.mga3
+ Revision: 264490
- new version 0.13.0

* Tue May 01 2012 ovitters <ovitters> 0.12.1-1.mga3
+ Revision: 234419
- new version 0.12.1

* Mon Mar 26 2012 ovitters <ovitters> 0.12.0-1.mga2
+ Revision: 226705
- new version 0.12.0

* Mon Mar 19 2012 ovitters <ovitters> 0.11.7-1.mga2
+ Revision: 224447
- new version 0.11.7

* Fri Mar 09 2012 fwang <fwang> 0.11.6-1.mga2
+ Revision: 222007
- new version 0.11.6

* Tue Feb 14 2012 ovitters <ovitters> 0.11.5-2.mga2
+ Revision: 208873
- clean spec

* Mon Feb 06 2012 wally <wally> 0.11.5-1.mga2
+ Revision: 205513
- new version 0.11.5

* Sat Jan 28 2012 fwang <fwang> 0.11.3-1.mga2
+ Revision: 202413
- update file list
- new version 0.11.3

* Tue Nov 22 2011 fwang <fwang> 0.11.2-1.mga2
+ Revision: 170732
- new version 0.11.2

* Fri Oct 28 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 159203
- new version 0.11.0
+ eandry <eandry>
- fix URL

* Mon Sep 26 2011 ovitters <ovitters> 0.10.0-1.mga2
+ Revision: 149022
- new version 0.10.0

* Mon Sep 19 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 145533
- new version 0.9.1
- new version 0.9.0
+ wally <wally>
- new version 0.8.0
- drop unrecognized configure option
- clean .spec a bit

* Thu Jun 09 2011 dmorgan <dmorgan> 0.7.5-1.mga2
+ Revision: 102132
- New version 0.7.5

* Thu Apr 28 2011 saispo <saispo> 0.7.3-1.mga1
+ Revision: 93307
- Readd patch file
- Remove patch file
- Add dconf-editor-crash.patch file
- New release 0.7.3
  Add patch for fixing crash with empty schemas
+ pterjan <pterjan>
- Fix build with gtk2

* Sun Apr 10 2011 ahmad <ahmad> 0.5.1-1.mga1
+ Revision: 82728
- use %%{__isa_bits} with the gio-querymodules post/postun scriptlets (Fedora)
- imported package dconf


* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 579737
- new version
- bump deps
- rename introspection data files

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.5-2mdv2011.0
+ Revision: 574668
- add introspection support
- fix postun script
- move gio module to the library package
- add postinstallation scripts for gio module

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2011.0
+ Revision: 565646
- new version
- remove static libs
- remove gobject-introspection support
- add vala support
- new version
- add editor package
- import dconf


